com.sun.source.tree

## Interface ImportTree

- All Superinterfaces:
    Tree

      public interface ImportTree
      extends Tree

  A tree node for an import statement. For example:

         import qualifiedIdentifier ;

         static import qualifiedIdentifier ;

  Since:
    1.6
  See Also:
    "The Java Language Specification, 3rd ed, section 7.5"

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface com.sun.source.tree.Tree

      `Tree.Kind`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Tree` | `getQualifiedIdentifier()`
    `boolean` | `isStatic()`

    - ### Methods inherited from interface com.sun.source.tree.Tree

      `accept, getKind`

- - ### Method Detail

    - #### isStatic

          boolean isStatic()

    - #### getQualifiedIdentifier

          Tree getQualifiedIdentifier()

      Returns:
        a qualified identifier ending in "*" if and only if this is an import-on-demand.

Copyright © 2005, 2014, Oracle and/or its affiliates. All rights reserved.